!     IBUFEXCH is the size of the exchange buffers used for the
!     halo exchanges. The current size should be more than sufficient
!     for the forseeable future.

!     IBUFEXCH would need to be increased if you ever receive an error
!     from the MPI library indicating that the recieive buffer is too small.

!     You should do a "make clean" if you increase IBUFEXCH.

!     Jim Tuccillo Feb 2001

    INTEGER,parameter :: IBUFEXCH=340800
! p      PARAMETER ( IBUFEXCH = 2500000 )
!      PARAMETER ( IBUFEXCH = 7700000 )
!    PARAMETER ( IBUFEXCH = 70000 )
!       PARAMETER ( IBUFEXCH = 4700000 )
